#!/bin/sh -x
rm -rf node_modules
npm install perl --ignore-scripts
version=`grep '"version":' node_modules/perl/package.json  | sed -e 's;.*: ";;' -e 's;".*;;'`
date=`date '+%Y%m%d'`
tar cvf - --exclude .git node_modules | xz -9 >node-perl-$version-$date.tar.xz
rm -rf node_modules
